package es.uca.xmleye.util;

/*
 Copyright (C) 2005-2008 Antonio García Domínguez

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public 
 License as published by the Free Software Foundation; 
 either version 2 of the License, or (at your option) any 
 later version.

 This program is distributed in the hope that it will be 
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE. See the GNU General Public License for more 
 details.

 You should have received a copy of the GNU General Public 
 License along with this program; if not, write to the Free 
 Software Foundation, Inc., 59 Temple Place, Suite 330, 
 Boston, MA 02111-1307 USA
 */

import java.io.OutputStream;
import java.util.concurrent.Callable;

/**
 * Operación sobre un flujo de entrada, que devuelve el número de bytes leídos.
 * 
 * $Id$
 * 
 * @author Antonio García Domínguez
 * @version 1.0
 */
public interface TareaSalida extends Callable<Integer> {
	/**
	 * Especifica el flujo al que deberán ir los datos.
	 * 
	 * @param in
	 *            Flujo de salida.
	 */
	void setFlujoSalida(OutputStream in);
}
